%define packname SuppDists
%global packver 1.1
# Note that some R packages do not use packrel
%define packrel 9.4

Name: R-%{packname}
Version: %{packver}.%{packrel}
Release: 1.centos7.lc
Summary: Ten Supplementary distributions and two Random Number Generators

Group: Applications/Engineering
License: GPLv2+
URL: http://cran.r-project.org/web/packages/SuppDists/index.html
Source0: http://cran.r-project.org/src/contrib/%{packname}_%{packver}-%{packrel}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:    R-devel, tex(latex)
Requires:         R-core

%define debug_package %{nil}

%description
R package:
Ten distributions supplementing those built into R. Inverse Gauss, Kruskal-Wallis, Kendall's Tau, Friedman's chi squared, Spearman's rho, maximum F ratio, the Pearson product moment correlation coefficiant, Johnson distributions, normal scores and generalized hypergeometric distributions. In addition two random number generators of George Marsaglia are included.

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/R/library
%{_bindir}/R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css
cp -pr %{packname}/man %{buildroot}%{_libdir}/R/library/%{packname}

%check
%{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}

%post

%postun

%files
%defattr(-,root,root,-)
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/man
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/libs
%{_libdir}/R/library/%{packname}/help

%changelog
* Tue Nov 17 2020 Stuart Raeburn <raeburn@loncapa.org> (1.1.9.4-1)
- Rebuild for R 3.6.0

* Sun Dec 15 2019 Stuart Raeburn <raeburn@loncapa.org> (1.1.9.4-0)
- Update to 1.1-9.4

* Thu Jul 17 2014 Stuart Raeburn <raeburn@loncapa.org> (1.1.9.1)
- Update to 1.1.9.1

* Sun Jun 29 2014 Stuart Raeburn <raeburn@loncapa.org> (1.1.8.0)
- Initial build 

